package com.gree.mall.manager.enums.workorder;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum AppraiseOnusEnum implements BaseEnum {

    NOT("NOT","无责"),
    ALL("ALL","全责"),
    HALF("HALF","半责"),;

    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;

}
